package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel(
   description = "询价查询入参"
)
public class DrpInquiryPageDTO {
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("中选状态(1-未，2 已)")
   private Integer status;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("中标供应商")
   private Long bidSupplierId;
   @ApiModelProperty("询价开始时间")
   private LocalDateTime inquiryStartTime;
   @ApiModelProperty("询价结束时间")
   private LocalDateTime inquiryEndTime;
   @ApiModelProperty("询价状态 1 未开始，2 进行中 3 已结束")
   private Integer inquiryState;
   @ApiModelProperty("制表人")
   private String createBy;
   @ApiModelProperty("提交状态 1待提交 2已提交")
   private Integer orderStatus;
   @ApiModelProperty("审批状态(1待审批,2审批中,3审批同意,4审批拒绝)")
   private Integer approveStatus;
   @ApiModelProperty("区域IDList")
   private List<Long> areaIdList;
   private List<Long> areaAuth;

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public Integer getStatus() {
      return this.status;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Long getBidSupplierId() {
      return this.bidSupplierId;
   }

   public LocalDateTime getInquiryStartTime() {
      return this.inquiryStartTime;
   }

   public LocalDateTime getInquiryEndTime() {
      return this.inquiryEndTime;
   }

   public Integer getInquiryState() {
      return this.inquiryState;
   }

   public Integer getOrderStatus() {
      return this.orderStatus;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setBidSupplierId(final Long bidSupplierId) {
      this.bidSupplierId = bidSupplierId;
   }

   public void setInquiryStartTime(final LocalDateTime inquiryStartTime) {
      this.inquiryStartTime = inquiryStartTime;
   }

   public void setInquiryEndTime(final LocalDateTime inquiryEndTime) {
      this.inquiryEndTime = inquiryEndTime;
   }

   public void setInquiryState(final Integer inquiryState) {
      this.inquiryState = inquiryState;
   }

   public void setOrderStatus(final Integer orderStatus) {
      this.orderStatus = orderStatus;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }
}
